% Modification of metu.cls
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{harran}[2019/06/20 Harran Universitesi Thesis Class]

%default options

%spacing
\newif\ifd@uble \d@ublefalse
\newif\ifs@ngle \s@ngletrue


%page numbering
\newif\ifpn@top \pn@topfalse
\newif\ifpn@topr \pn@toprtrue

%chapter numbering (roman/arabic)
\newif\if@rmnchp \@rmnchptrue

%table stuff
\newif\ifmy@t@ble \my@t@blefalse
\newif\ifmy@figur@ \my@figur@false
\newif\ifmy@t@ble \my@t@blefalse

%font size
\newif\if@tenpt \@tenptfalse
\newif\if@elevenpt \@elevenpttrue
\newif\if@twelvept \@twelveptfalse

% seems we need it.
\newif\if@twoside
\@twosidetrue \@mparswitchtrue \def\ds@draft{\overfullrule 5pt}

%Font Options
\DeclareOption{10pt}{\@tenpttrue \@elevenptfalse \@twelveptfalse}
\DeclareOption{11pt}{\@tenptfalse \@elevenpttrue \@twelveptfalse}
\DeclareOption{12pt}{\@tenptfalse \@elevenptfalse \@twelvepttrue}

%Page Numbering
\DeclareOption{pntr}{\pn@toptrue \pn@toprtrue}
\DeclareOption{pntc}{\pn@toptrue \pn@toprfalse}
\DeclareOption{pnbt}{\pn@topfalse \pn@toprfalse}

%Chapter Numbering
\DeclareOption{chaproman}{\@rmnchptrue}
\DeclareOption{chaparabic}{\@rmnchpfalse}

%Spacing
\DeclareOption{double}{\d@ubletrue \s@nglefalse}
\DeclareOption{oneandhalf}{\d@ublefalse \s@nglefalse}
\DeclareOption{single}{\d@ublefalse \s@ngletrue}
%Unspecified input handler
\DeclareOption*{Invalid Option \CurrentOption }


\ProcessOptions\relax
%\LoadClass{book}
%\RequirePackage[utf8]{inputenc} %do not use with XeLaTeX or LuaLaTeX



% Font naming
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}

%\usepackage{polyglossia}
%\setmainlanguage{turkish}
%\usepackage[utf8]{fontspec}
%\setmainfont{Times New Roman}

%input the appropriate .def file
%\if@tenpt \input{harran10.def} \fi
%\if@elevenpt \input{harran11.def} \fi
%\if@twelvept \input{harran12.def} \fi
\input{harran.def}
%\ifpn@top\footheight=0cm\footskip=0cm%
%\else\footheight=12pt\footskip=30pt\p=0cm\headheight=0cm\fi

\ifpn@top
    \footskip=0cm%
\else
    \footskip=30pt\headsep=0cm\headheight=0cm
\fi

%\def\expthr@@#1{%
%   \expandafter\expandafter\expandafter%
%   \uplowcase\expandafter{#1}}
%\def\expthr@@#1{ \expandafter\expandafter\expandafter\uplowcase{#1}}
\def\expthr@@#1{#1}

\newtoks\@tmp

\def\uplowcase#1{\textsc{#1}}

\newtoks\@last \newtoks\@name

\def\i@uthor#1 #2.mend{\def\paramtw@{#2}\ifx\paramtw@\empty\@last={#1}%
\else\ifx\t@r\empty\@name={#1}\def\t@r{t@r}\else%
\@name=\expandafter{\the\@name{} #1}\fi\i@uthor#2.mend\fi}
\def\inv@uthor#1{\def\t@r{}\@name={}\@last={}\i@uthor#1 .mend%
\expthr@@{\the\@last}, \expthr@@{\the\@name}}

\newcommand{\singlespacing}{\renewcommand{\baselinestretch}{1}%
\let\@tmpcurrentsize=\currentsize \footnotesize \@tmpcurrentsize}
\newcommand{\doublespacing}{\renewcommand{\baselinestretch}{2}
\let\@tmpcurrentsize=\currentsize \footnotesize \@tmpcurrentsize}
\newcommand{\oneandhalfspacing}{\renewcommand{\baselinestretch}{1.5}
\let\@tmpcurrentsize=\currentsize \footnotesize \@tmpcurrentsize}
\def\@prelimsize{\@setsize\@prelimsize{14pt}\xiipt\@xiipt
\let\currentsize=\@prelimsize}


\let\f@@tnote\footnote
\def\footnote#1{\f@@tnote{\singlespacing #1}}

\def\labelenumi{\arabic{enumi}.}
\def\theenumi{\arabic{enumi}}
\def\labelenumii{(\alph{enumii})}
\def\theenumii{\alph{enumii}}
\def\p@enumii{\theenumi}
\def\labelenumiii{\roman{enumiii}.}
\def\theenumiii{\roman{enumiii}}
\def\p@enumiii{\theenumi(\theenumii)}
\def\labelenumiv{\Alph{enumiv}.}
\def\theenumiv{\Alph{enumiv}}
\def\p@enumiv{\p@enumiii\theenumiii}

\def\labelitemi{$\bullet$}
\def\labelitemii{\bf --}
\def\labelitemiii{$\ast$}
\def\labelitemiv{$\cdot$}

\def\verse{\let\\=\@centercr
 \list{}{\itemsep\z@ \itemindent -1.5em\listparindent \itemindent
 \rightmargin\leftmargin\advance\leftmargin 1.5em}\item[]}
\let\endverse\endlist
\def\quotation{\list{}{\listparindent 1.5em
 \itemindent\listparindent
 \rightmargin\leftmargin\parsep 0pt plus 1pt}\item[]}
\let\endquotation=\endlist
\def\quote{\par \singlespacing \list{}{\rightmargin\leftmargin}\item[]}
\let\endquote=\endlist

\def\descriptionlabel#1{\hspace\labelsep \bf #1}
\def\description{\list{}{\labelwidth\z@ \itemindent-\leftmargin
 \let\makelabel\descriptionlabel}}
\let\enddescription\endlist
\newdimen\descriptionmargin
\descriptionmargin=3em

\def\titlepage{\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \else \newpage \fi \@prelimsize \pagestyle{empty}}
\def\endtitlepage{\if@restonecol\twocolumn \else \newpage \fi
\pagestyle{plain}\normalsize}

\def\approvalpage{\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \else \newpage \fi \@prelimsize \pagestyle{empty}}
\def\endapprovalpage{\if@restonecol\twocolumn \else \newpage \fi
\pagestyle{plain}\normalsize}

\arraycolsep 5pt \tabcolsep 6pt \arrayrulewidth .4pt \doublerulesep 2pt
\tabbingsep \labelsep
\skip\@mpfootins = \skip\footins
\fboxsep = 3pt \fboxrule = .4pt

\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]

\def\thepart {\Roman{part}}
\if@rmnchp \def\thechapter{\Roman{chapter}}
  \else \def\thechapter{\arabic{chapter}} \fi
\def\thesection {\thechapter.\arabic{section}.}
\def\thesubsection {\thesection\arabic{subsection}.}
\def\thesubsubsection {\thesubsection \arabic{subsubsection}.}
\def\theparagraph {\thesubsubsection\arabic{paragraph}.}
\def\thesubparagraph {\theparagraph\arabic{subparagraph}.}
\def\@chapapp{\vskip4mm BÖLÜM}
\def\@chapappendix{EKLER}

\def\@pnumwidth{1em}
\def\@tocrmarg {1em}
\def\@dotsep{1.5}
\setcounter{tocdepth}{6}

\def\tableofcontents{\singlespacing\small
\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \fi\chapter*{\vskip-3mm İÇİNDEKİLER\@mkboth{İÇİNDEKİLER}{İÇİNDEKİLER}}
%\addcontentsline{toc}{leads}{\protect\numberline {}İÇİNDEKİLER}
 \@starttoc{toc}\if@restonecol\twocolumn\fi\singlespacing\newpage }


\def\l@part#1#2{\addpenalty{-\@highpenalty}
 \addvspace{0.25em plus 1pt} \begingroup
 \@tempdima 3em \parindent \z@ \rightskip \@pnumwidth \parfillskip
-\@pnumwidth
 {\large \bf \leavevmode #1\hfil \hbox to\@pnumwidth{\hss #2}}\par
 \nobreak \endgroup}
\def\l@leads{\vskip 0.0em plus 1pt\@dottedtocline{1}{0em}{0em}}
\def\l@nodots#1#2{\vskip 0.0em plus 1pt\pagebreak[3]\noindent #1\par
  \vskip 0.0em}
\def\l@chapter{\pagebreak[3]\vskip 0.0em plus 1pt\@dottedtocline{1}{0em}{1em}}
\def\l@section{\vskip 0.0em plus 1pt\@dottedtocline{1}{1.8em}{1.8em}}
\def\l@subsection{\vskip 0.0em plus 1pt\@dottedtocline{2}{3.5em}{2.6em}}
\def\l@subsubsection{\vskip 0.0em plus 1pt\@dottedtocline{3}{5.5em}{3.3em}}
\def\l@paragraph{\vskip 0.0em plus 1pt\@dottedtocline{4}{16.4em}{4.8em}}
\def\l@subparagraph{\vskip 0.0em plus 1pt\@dottedtocline{5}{21.4em}{5.8em}}

% \def\appendices{\oneandhalfspacing
% \@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
%  \fi\chapter*{APPENDICES\@mkboth {APPENDICES}{APPENDICES}}
% \addcontentsline{toc}{nodots}{\protect\numberline {}APPENDICES}
%     \setcounter{chapter}{0}\setcounter{section}{0}\setcounter{subsection}{0}
%     \renewcommand{\@chapapp}{\appendixname}
%     \def\thechapter{\Alph{chapter}}
% }

%\def\appendix{\par
% \setcounter{chapter}{0}
% \setcounter{section}{0}
% \addcontentsline{toc}{nodots}{\protect\leftline {}EKLER}
% \def\@chapapp{\vskip-2.4cm EK}
% \def\thechapter{\Alph{chapter}}}

\def\appendix{\small\singlespacing
\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \fi\chapter*{\vskip-3mm \hskip-134.5mm EKLER\@mkboth{EKLER}{EKLER}}
\addcontentsline{toc}{leads}{\protect\numberline {}EKLER}
\@starttoc{lot}\if@restonecol
 \twocolumn\fi }
\def\l@table{\@mytabledottedtocline{1}{0.0em}{2.5em}}

\def\listoftables{\small\singlespacing
\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \fi\chapter*{\vskip-3mm ÇİZELGELER DİZİNİ\@mkboth{ÇİZELGELER DİZİNİ}{ÇİZELGELER DİZİNİ}}
\addcontentsline{toc}{leads}{\protect\numberline {}ÇİZELGELER DİZİNİ}
\@starttoc{lot}\if@restonecol
 \twocolumn\fi\newpage }
\def\l@table{\@mytabledottedtocline{1}{0.0em}{2.5em}}

\def\listoffigures{\small\singlespacing%\doublespacing
\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 %\fi\chapter*{\vskip-1mm ŞEKİLLER DİZİNİ\@mkboth{ŞEKİLLER DİZİNİ}{ŞEKİLLER DİZİNİ}}
 \fi\chapter*{\vskip-3mm ŞEKİLLER DİZİNİ\@mkboth{ŞEKİLLER DİZİNİ}{ŞEKİLLER DİZİNİ}}
\addcontentsline{toc}{leads}{\protect\numberline {}ŞEKİLLER DİZİNİ}
\@starttoc{lof}\if@restonecol
 \twocolumn\fi\newpage }
%  \twocolumn\fi\doublespacing\newpage }
\def\l@figure{\@myfiguredottedtocline{1}{0.0em}{2.5em}}

%---------SAYFA SONLARI DÜZGÜN OLSUN ve DİĞER GÜZELLEŞTİRMELER
\brokenpenalty=10000              		% Sayfalar/sütunlar arasında kesik kelime yok


\doublehyphendemerits=10000       		% Ard arda kesilmiş kelime yok
\tolerance=1
\emergencystretch=\maxdimen
\hyphenpenalty=10000
\hbadness=10000
% Kesik kelime olmasın değer 10000 olursa
\righthyphenmin=72

% \exhyphenpenalty 10000				% Kesik kelimenin olduğu satırın yakınlarında da başka kesik kelime olmasın.

\brokenpenalty=10000              		% Sayfalar/sütunlar arasında kesik kelime yok

\widowpenalty=10000                		% SAyfanın altında widows  yok


\clubpenalty=10000                 		% Sayfanın üstünde orphan yok

\interfootnotelinepenalty=10000    		% Footnote'ları hiç bölme

% Eğer yukarıdaki değerlere rağmen sayfa başında tek satır varsa yapacak pek bir şey yok. O son paragrafı tekrar yazmayı deneyebilirsiniz. TeX bir yerde aralık vermek zorunda ve kötüler arasından en iyisini seçiyor. 

%---------------Paragraf DÜZENİ---------------------


\newenvironment{theglossary}{
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn
\fi
\vskip6.5mm
\chapter*{\vskip-3mm SİMGELER DİZİNİ}
\@mkboth{SİMGELER DİZİNİ}{SİMGELER DİZİNİ}
\addcontentsline{toc}{leads}{\protect\numberline{}SİMGELER DİZİNİ}
}{
\if@restonecol
    \twocolumn
\fi
\doublespacing\newpage
}
%-------------------


%\def\theglossary#1{\def\he@dgl@{\singlespacing
%\@restonecoltrue \if@twocolumn\@restonecolfalse
% \fi\columnseprule \z@ \columnsep 35pt\twocolumn
% \chapter*{\vskip 3.5mm \uppercase\expandafter{\@symb@l}%
%\@mkboth{\uppercase{\@symb@l}}{\uppercase{\@symb@l}}}%
%\parindent \z@ \parskip \z@ plus .3pt\relax }%
% \def\symb@l[##1]{\def\@symb@l{##1}\he@dgl@}%
%\@ifnextchar[{\symb@l}{\symb@l[SİMGELER DİZİNİ]}%
%\addcontentsline{toc}{leads}{\protect\numberline {}SİMGELER DİZİNİ}
%\begin{list}{}{\settowidth\labelwidth{[#1]}\leftmargin\labelwidth %labelsep 0.1cm
% \advance\leftmargin\labelsep \itemsep \z@}\def\makelabel##1{##1 \hfil}}%
%\def\endtheglossary{\end{list}\if@restonecol\onecolumn\else\clearpage\fi}

\def\listofillustrations{\singlespacing
\addcontentsline{toc}{leads}{\protect\numberline {}LIST OF ILLUSTRATIONS}
\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn\fi
 \chapter*{LIST OF ILLUSTRATIONS\@mkboth
 {LIST OF ILLUSTRATIONS}{LIST OF ILLUSTRATIONS}}\@starttoc{loi}\if@restonecol
 \twocolumn\fi\doublespacing\newpage }
\def\l@illustration{\@dottedtocline{1}{1.5em}{2.3em}}
%------------------------

\def\@themybib[#1]#2{\def\@symb@l{#1} \ifx\@symb@l\empty
 \def\@symb@l{KAYNAKLAR} \fi
 \singlespacing \@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn\fi
 %\chapter*{\vskip-3mm KAYNAKLAR}\@mkboth {KAYNAKLAR}{KAYNAKLAR}
\chapter*{\uppercase\expandafter{\@symb@l}\@mkboth{\uppercase{\@symb@l}}{\uppercase{\@symb@l}}}
 %% \addcontentsline{toc}{leads}{\protect\numberline {}\uppercase{KAYNAKLAR}}
 \def\bibpreamble{\protect\addcontentsline{toc}{leads}{KAYNAKLAR}}
 %%\list{[\arabic{enumi}]}{\settowidth\labelwidth{[#2]}\leftmargin\labelwidth
 \advance\leftmargin\labelsep\usecounter{enumi}}
 \def\newblock{\hskip .11em plus .33em minus -.07em}
 \sloppy\clubpenalty4000\widowpenalty4000
\sfcode`\.=1000\relax%}
\def\thebibliography{%\@ifnextchar[{\@themybib}{\@themybib[]}
}
\def\endthebibliography{\endlist}

%\newcommand\bibname{\vskip-3mm \protect\leftline{KAYNAKLAR}}

%\let\endthebibliography=\endlist

\newif\if@restonecol
\def\theindex{\@restonecoltrue\if@twocolumn\@restonecolfalse\fi
\columnseprule \z@
\columnsep 35pt\twocolumn[\@makeschapterhead{Index}]
 \@mkboth{INDEX}{INDEX}\thispagestyle{plain}\parindent\z@
 \parskip\z@ plus .3pt\relax\let\item\@idxitem}
\def\@idxitem{\par\hangindent 40pt}
\def\subitem{\par\hangindent 40pt \hspace*{20pt}}
\def\subsubitem{\par\hangindent 40pt \hspace*{30pt}}
\def\endtheindex{\if@restonecol\onecolumn\else\clearpage\fi}
\def\indexspace{\par \vskip 10pt plus 5pt minus 3pt\relax}

\def\footnoterule{\kern-3\p@
 \hrule width \columnwidth
 \kern 2.6\p@}
\@addtoreset{footnote}{chapter}
\long\def\@makefntext#1{\parindent 1em\noindent
 \hbox to 1.8em{\hss$^{\@thefnmark}$}#1}

\setcounter{topnumber}{2}
\def\topfraction{.7}
\setcounter{bottomnumber}{1}
\def\bottomfraction{.3}
\setcounter{totalnumber}{3}
\def\textfraction{.2}
\def\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\def\dbltopfraction{.7}
\def\dblfloatpagefraction{.5}

%captionlar icin buraya bak
\long\def\@makecaption#1#2{
 \ifmy@figur@ \vskip 20pt\fi
 \setbox\@tempboxa\hbox{#1:#2}
 \ifdim \wd\@tempboxa >\hsize #1:#2\par \else \hbox
to\hsize{\hfil\box\@tempboxa\hfil}
 \vskip7.5pt
 \fi \ifmy@t@ble \vskip 20pt\fi}

\newcounter{illustration}[chapter]
\def\theillustration{\thechapter.\@arabic\c@illustration}
\def\fps@illustration{tbp}
\def\ftype@illustration{3}
\def\ext@illustration{loi}
\def\fnum@illustration{Illustration \theillustration}
\def\illustration{\singlespacing \my@figur@true \@float{illustration}}
\let\endillustration\end@float
\@namedef{illustration*}{\@dblfloat{illustration}}
\@namedef{endillustration*}{\end@dblfloat}

\newcounter{figure}[chapter]
\def\thefigure{\thechapter.\@arabic\c@figure.}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{Şekil \thefigure}
\def\figure{\singlespacing \my@figur@true \@float{figure}}
\let\endfigure\end@float
\@namedef{figure*}{\@float{şekil}}
\@namedef{endfigure*}{\end@float}

\newcounter{table}[chapter]
\def\thetable{\thechapter.\@arabic\c@table.}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{Çizelge \thetable}
\def\table{\singlespacing \my@t@bletrue \@float{table}}
\let\endtable\end@float
\@namedef{table*}{\@float{çizelge}}
\@namedef{endtable*}{\end@float}

\def\@graduateschool{}\def\graduateschool#1{\def\@graduateschool{#1}}
\def\@graduateschool{}\def\benstitu#1{\def\@benstitu{#1}}

\newif\ifexist@pr \exist@prfalse
\def\@projeno{} \def\projeno#1{\def\@projeno{#1} \exist@prtrue}

\newif\ifexist@sp \exist@spfalse
\def\@sponsor{} \def\sponsor#1{\def\@sponsor{#1} \exist@sptrue}

%\def\@projeno{}\def\projeno#1{\def\@projeno{#1}}
%\def\@sponsor{}\def\sponsor#1{\def\@sponsor{#1}}
\def\@graduateschool{}\def\kenstitu#1{\def\@kenstitu{#1}}
\def\@department{}\def\department#1{\def\@department{#1}}
\def\@departmentofsupervisor{}\def\departmentofsupervisor#1{\def\@departmentofsupervisor{#1}}
\def\@departmentofcosupervisor{}\def\departmentofcosupervisor#1{\def\@departmentofcosupervisor{#1}}
\def\@ktdepartment{}\def\kturkishdepartment#1{\def\@ktdepartment{#1}}
\def\@btdepartment{}\def\bturkishdepartment#1{\def\@btdepartment{#1}}
\def\@degree{}\def\degree#1{\def\@degree{#1}}
\def\@tdegree{}\def\bturkishdegree#1{\def\@tdegree{#1}}
\def\@ktdegree{}\def\kturkishdegree#1{\def\@ktdegree{#1}}
%\def\@btdegree{}\def\bturkishdegree#1{\def\@btdegree{#1}}
\def\@shortdegree{}\def\shortdegree#1{\def\@shortdegree{#1}}
\def\@bttitle{}\def\bturkishtitle#1{\def\@bttitle{#1}}
\def\@kttitle{}\def\kturkishtitle#1{\def\@kttitle{#1}}
\def\@director{} \def\director#1{\def\@director{#1}}
\def\@headofdept{} \def\headofdept#1{\def\@headofdept{#1}}
\newif\ifexist@co \exist@cofalse
\def\@cosupervisor{} \def\cosupervisor#1{\def\@cosupervisor{#1} \exist@cotrue}
\def\@supervisor{} \def\supervisor#1{\def\@supervisor{#1}}
\def\@turkishcosupervisor{} \def\turkishcosupervisor#1{\def\@turkishcosupervisor{#1} \exist@cotrue}
\def\@turkishsupervisor{} \def\turkishsupervisor#1{\def\@turkishsupervisor{#1}}
\def\@affiliationi{} \def\affiliationi#1{\def\@affiliationi{#1}}
\def\@affiliationii{} \def\affiliationii#1{\def\@affiliationii{#1}}
\def\@affiliationiii{} \def\affiliationiii#1{\def\@affiliationiii{#1}}
\def\@affiliationiv{} \def\affiliationiv#1{\def\@affiliationiv{#1}}
\def\@affiliationv{} \def\affiliationv#1{\def\@affiliationv{#1}}
\def\@committeememberi{} \def\committeememberi#1{\def\@committeememberi{#1}}
\def\@committeememberii{} \def\committeememberii#1{\def\@committeememberii{#1}}
\def\@committeememberiii{} \def\committeememberiii#1{\def\@committeememberiii{#1}}
\def\@committeememberiv{} \def\committeememberiv#1{\def\@committeememberiv{#1}}
\def\@committeememberv{} \def\committeememberv#1{\def\@committeememberv{#1}}
\def\@keywords{} 
\def\keywords#1{\def\@keywords{#1}}
\def\@anahtarklm{} \def\anahtarklm#1{\def\@anahtarklm{#1}}
%%\def\@authoruppercase{}\def\authoruppercase#1{\def\@authoruppercase{#1}}
\def\turkishdate#1{\def\@tdate{#1}}
\def\sunumtarihi#1{\def\@sunumt{#1}}

\def\maketitle{\begin{titlepage}\normalsize\bf
\let\footnotesize\small \let\footnoterule\relax \setcounter{page}{-1}
 \null \nointerlineskip
%\vskip 2.8cm
\begin{center} \nointerlineskip
\vspace{-.5cm}

 \vbox{\singlespacing {\Large T.C.} \vskip 0.2cm {\Large HARRAN ÜNİVERSİTESİ}\\
       \Large\expandafter{\@benstitu}\\
       }
\vskip 3.5cm plus0pt minus2mm \nointerlineskip
 \vbox{\singlespacing
       \expandafter{\@tdegree}\\
       }
\vskip 3.5cm plus0pt minus1cm \nointerlineskip
\vspace{\stretch{1}}
\vbox{\singlespacing \expandafter{\@bttitle}}
\vskip 6.5cm plus0pt minus1cm \nointerlineskip
\vspace{-1.0cm}
 \vbox{\expandafter{\@author}}
\vskip 2cm plus0pt minus1cm \nointerlineskip
 \vbox{\expandafter{\@btdepartment}}
 \vskip 3.0cm plus0pt minus1cm \nointerlineskip
 \vbox{\singlespacing ŞANLIURFA}\vspace{-0.2cm}
 \vbox{\singlespacing\uppercase\expandafter{\@date}}
 \vskip -3.0cm plus0pt minus1cm \nointerlineskip
 \end{center}
\end{titlepage}
\setcounter{footnote}{0} \let\thanks\relax
\gdef\@thanks{}\let\maketitle\relax}
%---------------------------------------------------------------------------------------
\def\makeapproval{\begin{approvalpage} \normalsize \parskip \z@
\parskip \z@ \topsep \z@ \partopsep \z@ \parsep \z@ \itemsep \z@
\null \nointerlineskip \parindent=0pt
%\vspace{-2.1cm}
%
\vspace{-.4cm}%%%%%%% approval page topmargin
%
%\vskip1.0cm plus0pt minus2mm \nointerlineskip
%\parbox[t]{15cm}{\begin{center}Approval of the thesis:\end{center}}
%\vskip1.0cm plus0pt minus2mm \nointerlineskip
%\parbox[t]{15cm}{\begin{center}\bf{\uppercase\expandafter{\@title}}\end{center}}
%\vskip2.0cm plus0pt minus2mm \nointerlineskip
\parbox[t]{14.7cm}{\hspace*{.6cm} \singlespacing {\@turkishsupervisor} da\-nış\-man\-lı\-ğın\-da, 
 {\@author}'ın  ha\-zır\-la\-dı\-ğı  ``{\bf \@kttitle}" ko\-nu\-lu bu ça\-lış\-ma { \@sunumt}
 ta\-ri\-hin\-de a\-şa\-ğı\-da\-ki jü\-ri ta\-ra\-fın\-dan oy bir\-li\-ği i\-le Harran Üniversitesi \@kenstitu
 { \@ktdepartment}'nda { \@tdegree} o\-la\-rak ka\-bul e\-dil\-miş\-tir.}

\vskip2.5cm plus0pt minus2mm \nointerlineskip
%

\begin{tabular*}{15.0cm}{l@{}rl@{\extracolsep{\fill}}c}
               &   &                                 & \rule{1.4cm}{0pt}{\.I}mza \rule{1.4cm}{0pt}\\ [.9cm] 
  \hspace{-.3cm} Danışman \;&:  & \expthr@@{\@turkishsupervisor}  & \dotfill\\[1.5cm]
  \hspace{-.3cm} Üye        &:  & \expthr@@{\@committeememberi}   & \dotfill\\[1.5cm]
  \hspace{-.3cm} Üye        &:  & \expthr@@{\@committeememberii}  & \dotfill 
\end{tabular*}

{\small{
{\bf
\vskip4.0cm plus0pt minus2mm \nointerlineskip
\parbox[t]{14.7cm}{\singlespacing Bu Tezin {\@ktdepartment}'nda Yapıldığını ve Enstitümüz Kurallarına Göre
 Düzenlendiğini Onaylarım.}


%\vskip2.0cm plus0pt minus2mm \nointerlineskip
% \vbox{\parbox{14.3cm}{\singlespacing \expthr@@{\@director \\ Enstitü Müdürü}
% \hfill\hfill \dotfill}}
\vskip2.2cm plus0pt minus2mm \nointerlineskip
 \vbox{\parbox{14.7cm}{\singlespacing \expthr@@{\@director \\ Enstitü Müdürü}
 \hfill\hfill }}
 
%\vskip2.0cm plus0pt minus2mm \nointerlineskip
%\vbox{\singlespacing \expthr@@{\@director} \\ { Enstitü Müdürü}}

\vskip1.0cm plus0pt minus2mm \nointerlineskip
\ifexist@sp \parbox[t]{14.7cm}{\singlespacing Bu Çalışma \expthr@@{\@sponsor} Tarafından Desteklenmiştir.\fi ~\\
\ifexist@pr Proje No: \expthr@@{\@projeno} } \fi
}

\vskip1.0cm plus0pt minus2mm \nointerlineskip
{\bf Not:\,} \parbox[t]{13.9cm}{\singlespacing Bu tezde kullanılan özgün ve başka kaynaktan yapılan bildirişlerin,
 çizelge, şekil ve fotoğrafların kaynak gösterilmeden kullanımı, 5846 sayılı Fikir ve Sanat Eserleri Kanunu'ndaki
 hükümlere tabidir.}
}}
\end{approvalpage}
%---------------------------------------------------------------------------------------
\gdef\@director{}\let\director\relax
\gdef\@headofdept{}\let\headofdept\relax
%\gdef\@degree{}\let\degree\relax
\gdef\@committeemember1{}\let\committeemember1\relax
\gdef\@committeemember2{}\let\committeemember2\relax
\gdef\@committeemember3{}\let\committeemember3\relax
\gdef\@committeemember4{}\let\committeemember4\relax
\gdef\@committeemember5{}\let\committeemember5\relax}
%\gdef\@graduateschool{}\let\graduateschool\relax \let\makeapproval\relax}

\def\oz{\addcontentsline{toc}{leads}{\protect\numberline {}\"OZET}
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn
 \fi
 %\chapter*{\vskip2.5mm \"{O}Z}\@mkboth {\"{O}Z}{\"{O}Z} %\vskip 1cm
 \chapter*{\vskip-4mm \"{O}ZET}\@mkboth {\"{O}ZET}{\"{O}ZET} %\vskip 1cm
\begin{center}{\bf{\expandafter{\small\@ktdegree}}} \\ \vskip 1.0\baselineskip \vskip 1cm
{\bf{\expandafter{\small\@bttitle}}} \\ \vskip 1.0\baselineskip \vskip 1cm
 \expandafter\expandafter\expandafter\expandafter{\small\bf\@author} \\[0.8cm]
 
\begin{center}\small\bf%\oneandhalfspacing
Harran Üniversitesi\\
\expandafter{\@kenstitu} \\
{\expandafter{\@ktdepartment}}\\[0.4cm]
Danışman : \expthr@@{\@turkishsupervisor} \\
\ifexist@co Ortak Tez Y\"{o}neticisi : \expthr@@{\@turkishcosupervisor}\fi 
Yıl: \@date, sayfa: \pageref{LastPage}  \\
\end{center}\end{center}
 
 
% \begin{tabular}{cc}
% \multicolumn{2}{l}
% {\@tdegree, \@tdepartment}\\[0.2cm]
% Tez Y\"{o}neticisi : \expthr@@{\@turkishsupervisor} \\[0.2cm]
% \ifexist@co Ortak Tez Y\"{o}neticisi : \expthr@@{\@turkishcosupervisor}\fi \\[0.2cm]
%\end{tabular} 
\vskip \baselineskip}
\def\endoz{\vskip 2.5\baselineskip \par \noindent {\bf ANAHTAR KELİMELER:} \parbox[t]{10.8cm}{\@anahtarklm}
\gdef\@anahtarklm{}\let\anahtarklm\relax
\gdef\@tdegree{}\let\kturkishdegree\relax
\gdef\@ktdepartment{}\let\kturkishdepartment\relax
\gdef\@btdepartment{}\let\bturkishdepartment\relax
\gdef\@bttitle{}\let\bturkishtitle\relax
\gdef\@kttitle{}\let\kturkishtitle\relax
%\gdef\@supervisor{}\let\supervisor\relax
%\gdef\@cosupervisor{}\let\cosupervisor\relax
%%\gdef\@authoruppercase{}\let\authoruppercase\relax
\if@restonecol \twocolumn\fi\newpage }

\def\abstract{\addcontentsline{toc}{leads}{\protect\numberline {}ABSTRACT}
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn   
 \fi
%\chapter*{\vskip4mm ABSTRACT}\@mkboth {ABSTRACT}{ABSTRACT} %\vskip 1cm
\chapter*{\vskip-4mm ABSTRACT}\@mkboth {ABSTRACT}{ABSTRACT} %\vskip 1cm
\begin{center} 
{\bf{\expandafter{\small\@degree}}} \\ \vskip 1.0\baselineskip \vskip 1cm
 {\bf{\expandafter{\small\@title}}} \\ \vskip 1.0\baselineskip \vskip 1cm
 \expandafter\expandafter\expandafter\expandafter{\small\bf\@author} \\[.8cm]

\begin{center}\small\bf%\oneandhalfspacing
Harran University\\
Graduate School of {\expandafter{\@graduateschool}} \\
Department of {\expandafter{\@department}}\\[0.4cm]
Supervisor : \expthr@@{\@supervisor} \\
\ifexist@co Co-Supervisor  : \expthr@@{\@cosupervisor}\fi 
Year: \@date, page: \pageref{LastPage} 
\end{center}\end{center}

% \begin{tabular}{cc}
% \multicolumn{2}{l}
% {\@shortdegree, Department of \@department} \\[0.2cm]
% Supervisor : \expthr@@{\@supervisor} \\[0.2cm]
% \ifexist@co Co-Supervisor  : \expthr@@{\@cosupervisor}\fi\\[0.2cm]
%\end{tabular}

\vskip \baselineskip}
\def\endabstract{\vskip 2.5\baselineskip \par \noindent {\bf KEYWORDS:} \parbox[t]{12.6cm}{\@keywords}
\gdef\@keywords{}\let\keywords\relax
\gdef\@shortdegree{}\let\shortdegree\relax
\gdef\@department{}\let\department\relax
\gdef\@supervisor{}\let\supervisor\relax
\gdef\@degree{}\let\degree\relax
\gdef\@cosupervisor{}\let\cosupervisor\relax
%%\gdef\@authoruppercase{}\let\authoruppercase\relax
\if@restonecol \twocolumn\fi\newpage }
%\if@restonecol \twocolumn\fi\oneandhalfspacing\newpage }
\def\dedication#1{
\begin{center}\null
%\addtocontents{toc}{DEDICATION}
\vspace*{\fill}#1
%\addcontentsline{toc}{leads}{\protect\numberline {}DEDICATION}
\vspace*{\fill}
\end{center}
\newpage}

\def\plagiarism{
\null
\vspace*{\fill}
\vspace*{\fill}
\vspace*{\fill}
\vspace*{\fill}
\vspace*{\fill}
\parindent0cm
\singlespacing {\bf %{\@ktdegree} olarak sundu\u{g}um ``{\@kttitle}" ba\c{s}l\i kl\i\
 Bu çalışmanın bilimsel ahlak ve geleneklere aykırı düşecek bir yardıma baş\-vur\-mak\-sı\-zın
 tarafımdan yazıldığını ve yararlandığım bütün kaynakların hem metin içinde hem de kaynaklarda
 yöntemine uygun biçimde gösterilenlerden oluştuğunu belirtir, bunu onurumla doğrularım.}\\[1.5cm]

%\singlespacing {\bf I hereby declare that all information in this document has been obtained and %presented in accordance with academic rules and ethical conduct. I also declare that, as required by %these rules and conduct, I have fully cited and referenced all material and results that are not %original to this work.}\\[1.5cm]
\begin{flushleft}
\hfill{
\begin{tabular}{l@{}rr}
\textnormal{Adı, Soyadı} & \textnormal{:} & \textnormal\bf{\@author} \\[1cm]
\textnormal{{\.I}mza} & \textnormal{:} &
\end{tabular}
}
\vspace*{\fill}
\end{flushleft}
\newpage}

%\newcommand{dedication}[1]
%{
%\begin{center}
%\null
%\addcontentsline{toc}{leads}{\protect\numberline{} DEDICATION}
%#1
%\end{center}
%\newpage
%}

\newenvironment{acknowledgments}{
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn
\fi
\vskip6.5mm
\chapter*{\vskip-3mm TEŞEKKÜR} \@mkboth{TEŞEKKÜR}{TEŞEKKÜR}
\addcontentsline{toc}{leads}{\protect\numberline{}TEŞEKKÜR}
}{
\if@restonecol
    \twocolumn
\fi
\singlespacing\newpage
}
%-------------------
\newenvironment{ozet}{
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn
\fi
\chapter*{\vskip-3mm ÖZET} \@mkboth{ÖZET}{ÖZET}
\addcontentsline{toc}{leads}{\protect\numberline{}ÖZET}
}{
\if@restonecol
    \twocolumn
\fi
\singlespacing\newpage
}
%-------------------
\newenvironment{summary}{
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn
\fi
\chapter*{SUMMARY} \@mkboth{SUMMARY}{SUMMARY}
\addcontentsline{toc}{leads}{\protect\numberline{}SUMMARY}
}{
\if@restonecol
    \twocolumn
\fi
\singlespacing\newpage
}
\def\summary{\addcontentsline{toc}{leads}{\protect\numberline {}SUMMARY}
\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \pagestyle{plain}
 \fi\chapter*{\vskip-3mm SUMMARY}\@mkboth {SUMMARY}{SUMMARY}}
\def\endsummary{\if@restonecol \twocolumn\fi\doublespacing}
%\def\acknowledgments{
%\addcontentsline{toc}{leads}{\protect\numberline {}ACKNOWLEDGMENTS}
%\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
%\fi\chapter*{ACKNOWLEDGMENTS}\@mkboth {ACKNOWLEDGMENTS}{ACKNOWLEDGMENTS}}
%\def\endacknowledgments{\if@restonecol \twocolumn\fi\doublespacing\newpage}

\newenvironment{preface}{
\addcontentsline{toc}{leads}{\protect\numberline {}PREFACE}
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn
 \fi
\chapter*{PREFACE}\@mkboth {PREFACE}{PREFACE}
}{
\if@restonecol
    \twocolumn
\fi
\doublespacing\newpage
}

\newenvironment{vita}{
\@restonecolfalse
\if@twocolumn
    \@restonecoltrue\onecolumn
\fi
\chapter*{\vskip-3mm ÖZGEÇMİŞ} \@mkboth{ÖZGEÇMİŞ}{ÖZGEÇMİŞ}
\addcontentsline{toc}{leads}{\protect\numberline{}ÖZGEÇMİŞ}
}{
\if@restonecol
    \twocolumn
\fi
\doublespacing
}

%\def\vita{\addcontentsline{toc}{leads}{\protect\numberline {} ÖZGEÇMİŞ}
%\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
% \pagestyle{plain}
% \fi\chapter*{ÖZGEÇMİŞ}\@mkboth {ÖZGEÇMİŞ}{ÖZGEÇMİŞ}}
%\def\endvita{\if@restonecol \twocolumn\fi\doublespacing}
\addcontentsline{toc}{nodots}{\protect\numberline {}\hfill {\bf Sayfa No}}
\def\preliminaries{\pagenumbering{roman}\pagestyle{plain}}\def\endpreliminaries
{\newpage\pagestyle{headings}\pagenumbering{arabic}%
%\addcontentsline{toc}{nodots}{\protect\numberline {}BÖLÜMLER}%
\addcontentsline{lof}{nodots}{\protect\numberline {} \hfill {\bf Sayfa No}}%
\addcontentsline{lot}{nodots}{\protect\numberline {} \hfill {\bf Sayfa No}}}

\mark{{}{}}

\def\ps@headings{\let\@mkboth\markboth
\def\@oddfoot{}\def\@evenfoot{}%
\ifpn@topr \def\@evenhead{\hbox{} \hfil \rm\thepage}
\else \def\@evenhead{\hbox{} \hfil \rm\thepage \hfil} \fi
\let\@oddhead=\@evenhead%
\def\chaptermark##1{\markboth {\uppercase{\ifnum \c@secnumdepth >\m@ne
 \@chapapp\ \thechapter. \ \fi ##1}}{}}%
\def\sectionmark##1{\markright {\uppercase{\ifnum \c@secnumdepth >\z@
 \thesection. \ \fi ##1}}}}

\def\ps@plain{\let\@mkboth\markboth
\def\@evenfoot{\hbox{} \hfil \rm\thepage \hfil} \let\@oddfoot=\@evenfoot%
\def\@evenhead{} \let\@oddhead=\@evenhead%
\def\chaptermark##1{\markboth {\uppercase{\ifnum \c@secnumdepth >\m@ne
 \@chapapp\ \thechapter. \ \fi ##1}}{}}%
\def\sectionmark##1{\markright {\uppercase{\ifnum \c@secnumdepth >\z@
 \thesection. \ \fi ##1}}}}

\def\ps@myheadings{\let\@mkboth\@gobbletwo
\def\@oddhead{\hbox{}\sl\rightmark \hfil
\rm\thepage}\def\@oddfoot{}\def\@evenhead{\rm \thepage\hfil\sl\leftmark\hbox
{}}\def\@evenfoot{}\def\sectionmark##1{}\def\subsectionmark##1{}}


\def\today{\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\space\year}

\def\thisday{\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\day, \number\year}

\def\bugun{\ifcase\month\or
 Ocak\or \c{S}ubat\or Mart\or Nisan\or May{\i}s\or Haziran\or
 Temmuz\or A\u{g}ustos\or Eyl\"{u}l\or Ekim\or Kas{\i}m\or Aral{\i}k\fi
 \space\number\year}

\let\@date\today
\let\@tdate\bugun

\@addtoreset{equation}{chapter}
\def\theequation{\thechapter.\arabic{equation}}

\ifpn@top \pagestyle{headings} \else \pagestyle{plain} \fi
\pagenumbering{arabic} \onecolumn

%\textheight=21.4cm%23.2

\uccode`@=`I \lccode`@="10

\let\@enddoc=\enddocument
\def\enddocument{\label{`@lastpage'}\@enddoc }
